system freezes

Bug #1802283 reported by jnns on 2018-11-08
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

My system freezes once every second day or so.

ProblemType: Bug
DistroRelease: Ubuntu 18.10
Package: linux-image-4.18.0-10-generic 4.18.0-10.11
ProcVersionSignature: Ubuntu 4.18.0-10.11-generic 4.18.12
Uname: Linux 4.18.0-10-generic x86_64
ApportVersion: 2.20.10-0ubuntu13
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: jnns 2519 F.... pulseaudio
 /dev/snd/controlC0: jnns 2519 F.... pulseaudio
CurrentDesktop: GNOME
Date: Thu Nov 8 12:07:32 2018
HibernationDevice: RESUME=UUID=18edd09d-0a58-4464-accb-11ff57fc4327
InstallationDate: Installed on 2018-08-05 (95 days ago)
InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725)
MachineType: LENOVO 20KGS5DU00
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=de_DE.UTF-8
 SHELL=/usr/bin/fish
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.18.0-10-generic root=/dev/mapper/ubuntu--vg-root ro quiet splash mem_sleep_default=deep vt.handoff=1
RelatedPackageVersions:
 linux-restricted-modules-4.18.0-10-generic N/A
 linux-backports-modules-4.18.0-10-generic N/A
 linux-firmware 1.175
SourcePackage: linux
UpgradeStatus: Upgraded to cosmic on 2018-10-10 (29 days ago)
dmi.bios.date: 09/17/2018
dmi.bios.vendor: LENOVO
dmi.bios.version: N23ET56W (1.31 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20KGS5DU00
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrN23ET56W(1.31):bd09/17/2018:svnLENOVO:pn20KGS5DU00:pvrThinkPadX1Carbon6th:rvnLENOVO:rn20KGS5DU00:rvrNotDefined:cvnLENOVO:ct10:cvrNone:
dmi.product.family: ThinkPad X1 Carbon 6th
dmi.product.name: 20KGS5DU00
dmi.product.sku: LENOVO_MT_20KG_BU_Think_FM_ThinkPad X1 Carbon 6th
dmi.product.version: ThinkPad X1 Carbon 6th
dmi.sys.vendor: LENOVO

jnns (jnns) wrote :
jnns (jnns) wrote :

Snippet of /var/log/syslog from when I started my laptop until the moment when it froze.

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Did this issue start happening after an update/upgrade? Was there a
prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer
to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest
v4.19 kernel[0].

If this bug is fixed in the mainline kernel, please add the following
tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag:
'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as
"Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.19.1

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Please reproduce the problem, do a hard reset and then run this command:

  journalctl -b-1 > prev_boot.txt

and send us the resulting file prev_boot.txt

jnns (jnns) wrote :

Thank you for your help, Christian. I added the last boot log as you requested and will try the 4.19 kernel.

Unfortunately, we cannot work on this bug because your description didn't include enough information. You may find it helpful to read "How to report bugs effectively" http://www.chiark.greenend.org.uk/~sgtatham/bugs.html. We'd be grateful if you would then provide a more complete description of the problem.

We have instructions on debugging some types of problems at http://wiki.ubuntu.com/DebuggingProcedures.

At a minimum, we need:
1. The specific steps or actions you took that caused you to encounter the problem.
2. The behavior you expected.
3. The behavior you actually encountered (in as much detail as possible).

jnns (jnns) wrote :

1. There are no specific steps that I took. The last time the system froze I was just loading up a virtual machine in VirtualBox. A day before that I was doing a video chat over https://talky.io with Firefox 64.

I also remember the system freezing when I was working with gnome-terminal while I had Firefox and Thunderbird open in the background.

2. Everytime, I didn't expect the system to freeze.

3. The screen freezes, neither mouse nor keyboard input is detected in Wayland. I can't even switch to a TTY using CTRL-ALT-Fx. I'm not sure whether I could have rebooted the system with the MagicSysReq keys. It didn't seem to respond but maybe I just didn't find the right way to issue the commands on this keyboard layout.

It is a new laptop with a fresh Ubuntu install so I can't say anything about prior systems.

jnns (jnns) wrote :

After my laptop worked fine yesterday for the whole day, it crashed again a few minutes ago. I have been using it for about 1.5h and the open programs where gnome-shell, thunderbird, firefox and gnome-terminal. It froze while browsing gitlab.com. It didn't respond to MagicSysRq keys.

The log file from my previous session (the latest crash) is added.

jnns (jnns) wrote :

The latest crash happened on the 4.19 mainline kernel by the way. When I worked on my laptop yesterday, it wasn't attached to the power adapter. When it crashed today it was charging.

Christian, can you tell me what more info you need to change the status back from 'incomplete'?

Kai-Heng Feng (kaihengfeng) wrote :

Does the crash only happen after suspend (S3) the system?

No, it also happens after cold boot. But maybe the external monitor plays a
role. I think i have yet to experience a crash when no external monitor is
connected.

Am Di., 13. Nov. 2018, 06:00 hat Kai-Heng Feng <email address hidden>
geschrieben:

> Does the crash only happen after suspend (S3) the system?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1802283
>
> Title:
> system freezes
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> My system freezes once every second day or so.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.10
> Package: linux-image-4.18.0-10-generic 4.18.0-10.11
> ProcVersionSignature: Ubuntu 4.18.0-10.11-generic 4.18.12
> Uname: Linux 4.18.0-10-generic x86_64
> ApportVersion: 2.20.10-0ubuntu13
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: jnns 2519 F.... pulseaudio
> /dev/snd/controlC0: jnns 2519 F.... pulseaudio
> CurrentDesktop: GNOME
> Date: Thu Nov 8 12:07:32 2018
> HibernationDevice: RESUME=UUID=18edd09d-0a58-4464-accb-11ff57fc4327
> InstallationDate: Installed on 2018-08-05 (95 days ago)
> InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64
> (20180725)
> MachineType: LENOVO 20KGS5DU00
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=de_DE.UTF-8
> SHELL=/usr/bin/fish
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.18.0-10-generic
> root=/dev/mapper/ubuntu--vg-root ro quiet splash mem_sleep_default=deep
> vt.handoff=1
> RelatedPackageVersions:
> linux-restricted-modules-4.18.0-10-generic N/A
> linux-backports-modules-4.18.0-10-generic N/A
> linux-firmware 1.175
> SourcePackage: linux
> UpgradeStatus: Upgraded to cosmic on 2018-10-10 (29 days ago)
> dmi.bios.date: 09/17/2018
> dmi.bios.vendor: LENOVO
> dmi.bios.version: N23ET56W (1.31 )
> dmi.board.asset.tag: Not Available
> dmi.board.name: 20KGS5DU00
> dmi.board.vendor: LENOVO
> dmi.board.version: Not Defined
> dmi.chassis.asset.tag: No Asset Information
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: None
> dmi.modalias:
> dmi:bvnLENOVO:bvrN23ET56W(1.31):bd09/17/2018:svnLENOVO:pn20KGS5DU00:pvrThinkPadX1Carbon6th:rvnLENOVO:rn20KGS5DU00:rvrNotDefined:cvnLENOVO:ct10:cvrNone:
> dmi.product.family: ThinkPad X1 Carbon 6th
> dmi.product.name: 20KGS5DU00
> dmi.product.sku: LENOVO_MT_20KG_BU_Think_FM_ThinkPad X1 Carbon 6th
> dmi.product.version: ThinkPad X1 Carbon 6th
> dmi.sys.vendor: LENOVO
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1802283/+subscriptions
>

jnns (jnns) wrote :

So far, no hard crash today. But I'm experiencing lots of crashing tabs in Firefox today. But not only the tabs; Thunderbird and Firefox crashed completely as well and needed a restart. And once, my gnome-session was killed and I was put back to gdm and needed to log in again.

I'm not sure if this is related but there sure is something wrong with my system. I attached kern.log. Please let me know if you need further infos.

Kai-Heng Feng (kaihengfeng) wrote :

Does disabling zswap solve the issue in #13?

jnns (jnns) wrote :

A few minutes ago Firefox crashed again several times in a row. This is the tail of /var/log/kern.log right now (lots of times):

e_~dThread[15841]: segfault at 0 ip 00007fc94cabac91 sp 00007fc944914ac0 error 6 in libxul.so[7fc949715000+48b5000]
Nov 15 11:37:12 x1cbn kernel: [ 8970.728562] Code: 8b 0d eb 70 3f 03 48 89 01 c7 04 25 00 00 00 00 73 01 00 00 e8 50 60 c6 fc 48 8d 05 9d b7 65 01 48 8b 0d ca 70 3f 03 48 89 01 <c7> 04 25 00 00 00 00 6d 0a 00 00 e8 2f 60 c6 fc 66 2e 0f 1f 84 00

I had a look into disabling zswap but I'm not sure if it is actually enabled right now

   $ dmesg | grep zswap
   [ 2.526856] zswap: loaded using pool lzo/zbud

   $ grep -R . /sys/module/zswap/parameters/
   /sys/module/zswap/parameters/same_filled_pages_enabled:Y
   /sys/module/zswap/parameters/enabled:N
   /sys/module/zswap/parameters/max_pool_percent:20
   /sys/module/zswap/parameters/compressor:lzo
   /sys/module/zswap/parameters/zpool:zbud

Changed in linux (Ubuntu):
importance: Undecided → High
jnns (jnns) wrote :

Another system crash happend a few moments ago. This time I noticed that dmesg reports hardware errors:

dmesg | grep mce -i
[ 0.327954] mce: CPU supports 10 MCE banks
[ 0.344870] mce: [Hardware Error]: Machine check events logged
[ 0.344874] mce: [Hardware Error]: CPU 0: Machine Check: 0 Bank 4: be00000000800400
[ 0.344881] mce: [Hardware Error]: TSC 0 ADDR 7fd9811d16a2 MISC 7fd9811d16a2
[ 0.344888] mce: [Hardware Error]: PROCESSOR 0:806ea TIME 1542466793 SOCKET 0 APIC 0 microcode 96
[ 0.346964] mce: [Hardware Error]: Machine check events logged
[ 0.346968] mce: [Hardware Error]: CPU 3: Machine Check: 0 Bank 3: be00000000800400
[ 0.346977] mce: [Hardware Error]: TSC 0 ADDR 7fd9811d16a2 MISC 7fd9811d16a2
[ 0.346985] mce: [Hardware Error]: PROCESSOR 0:806ea TIME 1542466793 SOCKET 0 APIC 6 microcode 96

Do you think the crashes are due to faulty hardware? Which tools should I use to make sure it is (not) hardware related?

Kai-Heng Feng (kaihengfeng) wrote :

Does the Firefox crashing only happens when the system is docked?

AaronMa (mapengyu) wrote :

log showed that you are connected with a dock station (Intel light ridge), right?
No kernel panic info in log. It is hard to say what happened.

1, could you test your laptop without the dock station for one if the issue can be reproduced?

2, there is a thunderbolt firmware update in Lenovo website, could you try it?
I know it is windows update tool, it is very hard for Linux user to update it. But it is worth to try.
https://pcsupport.lenovo.com/us/en/products/LAPTOPS-AND-NETBOOKS/THINKPAD-X-SERIES-LAPTOPS/THINKPAD-X1-CARBON-6TH-GEN-TYPE-20KH-20KG/downloads/DS502615

3, Could you post your thunderbolt setting in BIOS ( all items of thunderbolt menu)?

4, is the dock station is a Lenovo dock station? if so, a fw update for it too:
https://pcsupport.lenovo.com/us/en/products/LAPTOPS-AND-NETBOOKS/THINKPAD-X-SERIES-LAPTOPS/THINKPAD-X1-CARBON-6TH-GEN-TYPE-20KH-20KG/downloads/DS501903

jnns (jnns) wrote :

Thank you for taking your time with this issue.

> Does the Firefox crashing only happens when the system is docked?

No, a few minutes ago a Firefox tab crashed while the laptop was only being charged.
Here's a syslog snippet: http://dpaste.com/08ZJZQF.txt

> 1, could you test your laptop without the dock station for one if the issue can be reproduced?

I don't run the laptop with a real dock. I just connect it to the power outlet with the AC adapter that came with the laptop. Additionally I am often connected via Thunderbolt to an external monitor. Do you want me to try to reproduce the crash without a monitor being connected? I think I have yet to experience a crash without having an external monitor connected.

2. I will try and update the Thunderbolt firmware. Thanks for mentioning!

3. Sure!

Thunderbolt BIOS Assist Mode [Enabled]
Wake by Thunderbolt(TM) 3 [Enabled]
Security Level [User Authori]

Support in Pre Boot Environment:
    Thunderbolt(TM) device [Disabled]

4. I don't own a Lenovo dock station. The laptop is just connected to a power outlet and sometimes to a monitor.

jnns (jnns) wrote :

Today it already crashed twice in a very short period:

I resumed my laptop from suspend this morning and suspened it a few times more.
Then I noticed Firefox starting to crash a lot again. It got so bad that I switched to using Chrome for work because Firefox just closed a few seconds after opening it again.
After a while Chrome also began crashing.
By that time I already suspected that the system might freeze any minute and I unplugged the external monitor and the AC connection.

Then it happened and the system froze again after some more Chrome crashes.

The BIOS is configured to run the system in "performance" mode
when connected to the power outlet and spare resources when on battery.
Initially I thought that the system might get too hot so I started s-tui
to monitor thermal output and CPU usage before the crash happened
but the window wasn't in focus when it eventually froze :-/

I was able to use the Magic SysRq keys to reboot this time.

Shortly after logging in to gnome-shell the system crashed a second time.
I attached the relevant output from kern.log since this morning.

Unfortunately, I wasn't able to install the Thunderbolt firmware update
from #18 because I don't have access to Windows.

jnns (jnns) wrote :

I just ran `sudo fwupdmgr` to see if there have been firmware updates and – in deed – they released update 0.1.34 today:

> Lenovo ThinkPad X1 Carbon 6th System Firmware Version 1.34
> * Updated the CPU microcode.
> * Updated the Diagnostics module to version 04.04.001.
> * Improved Thermal FAN behavior.

Let's see if it helps.

jnns (jnns) wrote :

Another day, another freeze. Even with the new firmware installed. It ofen occurs during video chats. I wonder if CPU usage has something to do with it.

jnns (jnns) wrote :

It freezed again. This time without an external monitor connected. The system was running for quite some time with suspends/resumes in between and I ran a pytest test suite. Directly after the tests being finished the system didn't respond to any keyboard input whatsoever. Only a reboot via the power button helped.

There hasn't been any entry in /var/log/kern.log nor /var/log/syslog. Any idea how to get at least some info out of the system why it is crashing?

And I see that this issue is still marked as incomplete. What more info is needed to don't have this issue marked for expiration?

Kai-Heng Feng (kaihengfeng) wrote :

Use "journalctl -b -1" to get log from last boot (the crashed one).

jnns (jnns) wrote :

I have the feeling that chances are higher that the system freezes when I use suspend. When I shutdown and boot I can go a few days even without a system crash.

Attached you will find the prev_boot.txt of the session that crashed a few moments ago. I booted the system worked for a while whith AC and external monitor connected via Thunderbolt and then I disconnected both to go into a meeting. The system crashed shortly after reconnecting both.

jnns (jnns) wrote :

Today I resumed from suspend and five minutes later it froze again.

jnns (jnns) wrote :

So far today, the laptop hasn't crashed completely but Firefox and Thundebird are crashing constantly making it impossible to get work done. As soon as I restore the crashed Firefox session the whole program crashes again.

I attached that part of syslog of the last hour.

jnns (jnns) wrote :

It happened again.

Kai-Heng Feng (kaihengfeng) wrote :

Please do the following:
- Memory test.
- Use a Ubuntu Live USB to run fsck on your rootfs.

jnns (jnns) wrote :

I did a memory test with memtest86 that ran around 5h through the night and it passed 48/48 tests with 0 defective bits.

I'm now on 4.19.1-041901-generic and didn't have a crash since my last post! (Although it did crash on 4.19 as I mentioned on 2018-11-12).

My workflow didn't change at all: I still connect my laptop to an external monitor via Thunderbolt and have it attached to the power outlet at the same time. Suspending the laptop over the course of several days I got uptimes of at least 6 days.

So far, so good!

Kai-Heng Feng (kaihengfeng) wrote :

So seems like we can close this bug?

jnns (jnns) wrote :

Yes

Kai-Heng Feng <email address hidden> schrieb am Do., 7. März 2019,
08:35:

> So seems like we can close this bug?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1802283
>
> Title:
> system freezes
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> My system freezes once every second day or so.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.10
> Package: linux-image-4.18.0-10-generic 4.18.0-10.11
> ProcVersionSignature: Ubuntu 4.18.0-10.11-generic 4.18.12
> Uname: Linux 4.18.0-10-generic x86_64
> ApportVersion: 2.20.10-0ubuntu13
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: jnns 2519 F.... pulseaudio
> /dev/snd/controlC0: jnns 2519 F.... pulseaudio
> CurrentDesktop: GNOME
> Date: Thu Nov 8 12:07:32 2018
> HibernationDevice: RESUME=UUID=18edd09d-0a58-4464-accb-11ff57fc4327
> InstallationDate: Installed on 2018-08-05 (95 days ago)
> InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64
> (20180725)
> MachineType: LENOVO 20KGS5DU00
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=de_DE.UTF-8
> SHELL=/usr/bin/fish
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.18.0-10-generic
> root=/dev/mapper/ubuntu--vg-root ro quiet splash mem_sleep_default=deep
> vt.handoff=1
> RelatedPackageVersions:
> linux-restricted-modules-4.18.0-10-generic N/A
> linux-backports-modules-4.18.0-10-generic N/A
> linux-firmware 1.175
> SourcePackage: linux
> UpgradeStatus: Upgraded to cosmic on 2018-10-10 (29 days ago)
> dmi.bios.date: 09/17/2018
> dmi.bios.vendor: LENOVO
> dmi.bios.version: N23ET56W (1.31 )
> dmi.board.asset.tag: Not Available
> dmi.board.name: 20KGS5DU00
> dmi.board.vendor: LENOVO
> dmi.board.version: Not Defined
> dmi.chassis.asset.tag: No Asset Information
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: None
> dmi.modalias:
> dmi:bvnLENOVO:bvrN23ET56W(1.31):bd09/17/2018:svnLENOVO:pn20KGS5DU00:pvrThinkPadX1Carbon6th:rvnLENOVO:rn20KGS5DU00:rvrNotDefined:cvnLENOVO:ct10:cvrNone:
> dmi.product.family: ThinkPad X1 Carbon 6th
> dmi.product.name: 20KGS5DU00
> dmi.product.sku: LENOVO_MT_20KG_BU_Think_FM_ThinkPad X1 Carbon 6th
> dmi.product.version: ThinkPad X1 Carbon 6th
> dmi.sys.vendor: LENOVO
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1802283/+subscriptions
>

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
jnns (jnns) wrote :

After a long time of no system freeze it happened again a few minutes ago:

I'm not sure whether this is the same symptom as with the crashes before. I could reboot using the MagicSysRq keys.

ar 22 11:33:25 x1cbn systemd-timesyncd[1035]: Synchronized to time server 91.189.94.4:123 (ntp.ubuntu.com).
Mar 22 11:36:11 x1cbn org.gnome.Shell.desktop[2055]: libinput error: event6 - Synaptics TM3288-011: kernel bug: Touch jump detected and discarded.
Mar 22 11:36:11 x1cbn org.gnome.Shell.desktop[2055]: See https://wayland.freedesktop.org/libinput/doc/1.12.1/touchpad-jumping-cursors.html for details
Mar 22 11:36:13 x1cbn org.gnome.Shell.desktop[2055]: libinput error: event6 - Synaptics TM3288-011: kernel bug: Touch jump detected and discarded.
Mar 22 11:36:13 x1cbn org.gnome.Shell.desktop[2055]: See https://wayland.freedesktop.org/libinput/doc/1.12.1/touchpad-jumping-cursors.html for details
Mar 22 11:37:25 x1cbn pulseaudio[2100]: W: [alsa-sink-USB Audio] alsa-util.c: Could not recover from POLLERR|POLLNVAL|POLLHUP and XRUN: Datenübergabe unterbrochen (broken pipe)
Mar 22 11:37:25 x1cbn kernel: [58375.090461] usb 5-1.4: cannot submit urb (err = -27)
Mar 22 11:37:25 x1cbn kernel: [58375.090609] usb 5-1.4: cannot submit urb 0, error -27: internal error
Mar 22 11:38:08 x1cbn firefox.desktop[2055]: IPDL protocol Error: Received an invalid file descriptor
Mar 22 11:38:27 x1cbn org.gnome.Shell.desktop[2055]: Window manager warning: last_user_time (58437907) is greater than comparison timestamp (58437769). This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW. Trying to work around...
Mar 22 11:38:27 x1cbn org.gnome.Shell.desktop[2055]: Window manager warning: 0x1800003 (Benutzer ä) appears to be one of the offending windows with a timestamp of 58437907. Working around...
Mar 22 11:39:20 x1cbn org.gnome.Shell.desktop[2055]: libinput error: client bug: timer event6 keyboard: offset negative (-2799ms)
Mar 22 11:39:31 x1cbn kernel: [58501.502853] sysrq: SysRq : Keyboard mode set to system default
Mar 22 11:39:31 x1cbn kernel: [58501.690698] sysrq: SysRq : Terminate All Tasks
Mar 22 11:39:31 x1cbn kernel: [58501.690960] systemd-journald[498]: Received SIGTERM.

Changed in linux (Ubuntu):
status: Fix Released → New

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Kai-Heng Feng (kaihengfeng) wrote :

I think it's different. Seems to be a gnome-shell issue according to the very limited log.

Okay. Thanks for looking into it. Feel free to close the issue, please.

Kai-Heng Feng <email address hidden> schrieb am Fr., 22. März 2019,
16:55:

> I think it's different. Seems to be a gnome-shell issue according to the
> very limited log.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1802283
>
> Title:
> system freezes
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> My system freezes once every second day or so.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.10
> Package: linux-image-4.18.0-10-generic 4.18.0-10.11
> ProcVersionSignature: Ubuntu 4.18.0-10.11-generic 4.18.12
> Uname: Linux 4.18.0-10-generic x86_64
> ApportVersion: 2.20.10-0ubuntu13
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: jnns 2519 F.... pulseaudio
> /dev/snd/controlC0: jnns 2519 F.... pulseaudio
> CurrentDesktop: GNOME
> Date: Thu Nov 8 12:07:32 2018
> HibernationDevice: RESUME=UUID=18edd09d-0a58-4464-accb-11ff57fc4327
> InstallationDate: Installed on 2018-08-05 (95 days ago)
> InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64
> (20180725)
> MachineType: LENOVO 20KGS5DU00
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=de_DE.UTF-8
> SHELL=/usr/bin/fish
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.18.0-10-generic
> root=/dev/mapper/ubuntu--vg-root ro quiet splash mem_sleep_default=deep
> vt.handoff=1
> RelatedPackageVersions:
> linux-restricted-modules-4.18.0-10-generic N/A
> linux-backports-modules-4.18.0-10-generic N/A
> linux-firmware 1.175
> SourcePackage: linux
> UpgradeStatus: Upgraded to cosmic on 2018-10-10 (29 days ago)
> dmi.bios.date: 09/17/2018
> dmi.bios.vendor: LENOVO
> dmi.bios.version: N23ET56W (1.31 )
> dmi.board.asset.tag: Not Available
> dmi.board.name: 20KGS5DU00
> dmi.board.vendor: LENOVO
> dmi.board.version: Not Defined
> dmi.chassis.asset.tag: No Asset Information
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: None
> dmi.modalias:
> dmi:bvnLENOVO:bvrN23ET56W(1.31):bd09/17/2018:svnLENOVO:pn20KGS5DU00:pvrThinkPadX1Carbon6th:rvnLENOVO:rn20KGS5DU00:rvrNotDefined:cvnLENOVO:ct10:cvrNone:
> dmi.product.family: ThinkPad X1 Carbon 6th
> dmi.product.name: 20KGS5DU00
> dmi.product.sku: LENOVO_MT_20KG_BU_Think_FM_ThinkPad X1 Carbon 6th
> dmi.product.version: ThinkPad X1 Carbon 6th
> dmi.sys.vendor: LENOVO
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1802283/+subscriptions
>

Brad Figg (brad-figg) on 2019-07-24
tags: added: ubuntu-certified
tags: added: cscc
Vaclav Rehak (vaclav-n) wrote :

I also experience system freezes, usually after resume from suspend on X1 Carbon 6th. It happens on 4.18.0-15 and 5.3.0-40 kernels. I am running with no issues for many months on 4.15, currently 4.15.0-88-generic.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers